Skip to content
Go to Micro

Get a list by id

GET/v2/prism/{teamId}/lists/{listId}

Get a list by id

Path ParametersExpand Collapse
teamId: optional string
formatuuid
listId: string
formatuuid
ReturnsExpand Collapse
List object { id, name, object_type, 6 more }
id: string
formatuuid
name: string
minLength1
object_type: "organization" or "identity" or "action" or 2 more

Prism object type this list holds.

One of the following:
"organization"
"identity"
"action"
"document"
"deal"
team_id: string
formatuuid
created_at: optional string
formatdate-time
description: optional string
icon: optional string

Emoji or icon key for the list.

type: optional string

Internal template type (e.g. dealFlow, hiring). Derived from template_id on create.

views: optional array of object { id, name }
id: string
formatuuid
name: optional string

Get a list by id

curl https://developers.micro.so/v2/prism/$TEAM_ID/lists/$LIST_ID \
    -H "x-api-key: $MICRO_API_KEY"
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "name": "x",
  "object_type": "organization",
  "team_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "created_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "icon": "icon",
  "type": "type",
  "views": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "name": "name"
    }
  ]
}
Returns Examples
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "name": "x",
  "object_type": "organization",
  "team_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "created_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "icon": "icon",
  "type": "type",
  "views": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "name": "name"
    }
  ]
}